LFR-FSW - Feature #594

Renseigner les champs HK_LFR_LAST_ER_RID HK_LFR_LAST_ER_CODE HK_LFR_LAST_ER_TIME
26/01/2016 03:03 PM - Veronique bouzid

Status: Closed Start date: 26/01/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Suite a la gestion des erreurs liées au timing cf (Task #590 et Feature #588) , il faudrait également renseigner les champs suivants
associés a la derniére erreur
rencontrée.

-HK_LFR_LAST ER_RID
-HK_LFR_LAST ER_CODE
-HK_LFR_LAST ER_TIME

Contexte du test

FSW 3.0.0.13

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

History

#1 - 26/01/2016 03:05 PM - Veronique bouzid

- Description updated

#2 - 02/02/2016 10:50 AM - paul leroy

A partir de la révision 3.0.0.16 ces champs sont gérés. Pour les erreurs gérées par le driver SpaceWire, a chaque fabrication d'un HK, je relis les
statistiques dans l'ordre dans lequel elles sont dans la structure fournie par le driver. Je note les différences entre la lecture des statistiques pour le
HK précédent et je compare aux statistiques courantes. Si il y a des différences, les champs rid, code et time sont mis a jour avec la derniére
différence constatée. Ces champs sont également mis a jour lors de la détection d'erreur sur les timecodes (cf liste des code utilisés extraite des
sources du flight software).

Extrait de la doc du driver rtems:

/I typedef struct {

1 unsigned int tx_link_err; /I NOT IN HK

Vi unsigned int rx_rmap_header_crc_err; // NOT IN HK
Vi unsigned int rx_rmap_data_crc_err; // NOT IN HK
1 unsigned int rx_eep_err;

Vi unsigned int rx_truncated;

/ unsigned int parity_err;

1 unsigned int escape_err;

Vi unsigned int credit_err;

/ unsigned int write_sync_err;

/ unsigned int disconnect_err;

1 unsigned int early_ep;

Vi unsigned int invalid_address;

/ unsigned int packets_sent;

1 unsigned int packets_received;

/I '} spw_stats;

Seul le tout premier champ ne génére pas de modification des champs hk_Ifr_last_er_

Voici les valeurs que les champs peuvent prendre dans la révision 3.0.0.16 (extrait du fichier ccsds_types.h faisant partie des sources du soft de vol):
// HK_LFR_LAST_ER_RID

#define RID_LE_LFR_TIME 42119

#define RID_LE_LFR_DPU_SPW 42128
#define RID_LE_LFR_TIMEC 42129
#define RID_ME_LFR_DPU_SPW 42338
// HK_LFR_LAST _ER_CODE

#define CODE_PARITY 1
#define CODE_DISCONNECT 2
#define CODE_ESCAPE 3
#define CODE_CREDIT 4

#define CODE_WRITE_SYNC 5
#define CODE_EARLY_EOP_EEP 6
#define CODE_INVALID_ADDRESS 7
#define CODE_EEP 8

#define CODE_RX_TOO_BIG 9
#define CODE_HEADER_CRC 16

#define CODE_DATA_CRC 17
#define CODE_ERRONEOUS 20
#define CODE_MISSING 21
#define CODE_INVALID 22

#define CODE_TIMECODE_IT 24
#define CODE_NOT_SYNCHRO 25
#define CODE_TIMECODE_CTR 26

#3 - 02/02/2016 10:51 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#4 - 07/03/2016 03:58 PM - bruno katra
- Status changed from New to Closed

- % Done changed from 0 to 100

Testé OK + SRS mise a jour + SUM.
